Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.commons.enc.v2
Class CipherData

    java.lang.Object
      be.fgov.ehealth.commons.enc.v2.CipherData

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:55:46+01:00",
               comments="JAXB RI v2.2.11")
    public class CipherData

extends Object
implements Serializable

Contains the encrypted content type

Java class for CipherDataType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CipherDataType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element ref="{urn:be:fgov:ehealth:commons:enc:v2}CipherValue"/>
             <element ref="{urn:be:fgov:ehealth:commons:enc:v2}CipherReference"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`CipherData()`

Method Summary
`CipherReference` | `getCipherReference()` Gets the value of the cipherReference property.
`CipherValue` | `getCipherValue()` Gets the value of the cipherValue property.
`void` | `setCipherReference(CipherReference value)` Sets the value of the cipherReference property.
`void` | `setCipherValue(CipherValue value)` Sets the value of the cipherValue property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CipherData

    public CipherData()

Method Detail

### getCipherReference

    public CipherReference getCipherReference()

  Gets the value of the cipherReference property.

  Returns:
    possible object is `CipherReference`

### setCipherReference

    public void setCipherReference(CipherReference value)

  Sets the value of the cipherReference property.

  Parameters:
    `value` - allowed object is `CipherReference`

### getCipherValue

    public CipherValue getCipherValue()

  Gets the value of the cipherValue property.

  Returns:
    possible object is `CipherValue`

### setCipherValue

    public void setCipherValue(CipherValue value)

  Sets the value of the cipherValue property.

  Parameters:
    `value` - allowed object is `CipherValue`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.